Package org.h2.expression

# Class SimpleCase.SimpleWhen

java.lang.Object
org.h2.expression.SimpleCase.SimpleWhen

Enclosing class:
  `SimpleCase`

public static final class SimpleCase.SimpleWhen extends Object

## Constructor Summary

Constructors
Constructor
Description
`SimpleWhen(Expression[] operands, Expression result)`
`SimpleWhen(Expression operand, Expression result)`

## Method Summary

Modifier and Type
Method
Description
`void`
`setWhen(SimpleCase.SimpleWhen next)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleWhen

public SimpleWhen(Expression operand, Expression result)

### SimpleWhen

public SimpleWhen(Expression[] operands, Expression result)

## Method Details

### setWhen

public void setWhen(SimpleCase.SimpleWhen next)